Subject: Re: [patch net-next-2.6] bonding: allow resetting slave failure counters

From: Flavio Leitner <[email-masked]>
Date: Wed, 01 Jun 2011 17:22:40 -0300

On 06/01/2011 04:22 PM, David Miller wrote:
> From: Flavio Leitner <[email-masked]>
> Date: Wed, 01 Jun 2011 16:11:07 -0300
> 
>> On 06/01/2011 04:03 PM, David Miller wrote:
>>> From: Jay Vosburgh <[email-masked]>
>>> Date: Wed, 01 Jun 2011 09:13:39 -0700
>>>
>>>> 	The "this dingus was added in version X.Y.Z" is there because
>>>> users sometimes read the most recent version of the documentation (that
>>>> they get from the internet) and then would become confused when their
>>>> older distro driver lacked some option described in the documentation.
>>>
>>> I disagree with this whole concept, because distros backport features
>>> like this into their kernel and therefore the feature is showing up in
>>> version X.Y.$(Z-20).
>>
>> It doesn't matter the version if the user can find the feature, so
>> distros backporting features works and that info is not useful at all. 
>> However, when the user doesn't find the feature and search the internet,
>> then that info is helpful.
> 
> So how is the user going to find that FC14 has the feature even
> though his FC13 kernel does not?
> 
> I'll say it again, this version stuff is completely pointless.
> 
> If the user is dabbling with upstream kernels he's a minority,
> and clueful enough to figure out this stuff himself.

If the distro's bonding version is updated accordingly then
you have something to compare.  Anyway, I agree that it seems
more confusing than helpful.

fbl